<vn>
<div id="title">
	<h1><t>VisitsManagement</t></h1>
</div>
<div id="actions" class="action-bar">
	<button on-click="onRefreshClick">
		<img src="image/dark/refresh.svg" alt=""/>
		<t>Refresh</t>
	</button>
	<button on-click="onSessionsClick">
		<img src="image/dark/user-info.svg" alt=""/>
		<t>ActiveSessions</t>
	</button>
	<button on-click="onVisitsClick">
		<img src="image/dark/graph.svg" alt=""/>
		<t>VisitsQuery</t>
	</button>
</div>
<div id="form" class="visits">
	<div class="box">
		<div class="step" id="sessions-step">
			<table class="form">
				<tbody>
				<tr>
					<td class="label">
						<label><t>ActiveSessions:</t></label>
					</td>
					<td>
						<htk-label>
							<db-calc-sum model="sessions" id="num-sessions"/>
						</htk-label>
					</td>
				</tr>
				<tr>
					<td class="label">
						<label><t>NewVisitsTotal:</t></label>
					</td>
					<td>
						<htk-label>
							<db-calc-sum model="sessions" column-name="is_new"/>
						</htk-label>
					</td>
				</tr>
				</tbody>
			</table>
			<div>
				<htk-grid>
					<db-model id="sessions">
						SELECT s.id, c.Cliente, e.date_time login, is_new,
						s.date_time last_activity, a.platform, a.browser, a.version
							FROM user_session s
							JOIN visit_user e ON s.visit_user_id = e.id
							JOIN visit_access c ON e.access_id = c.id
							JOIN visit_agent a ON c.agent_id = a.id
							JOIN visit v ON a.visit_id = v.id
							JOIN account.user u ON e.user_id = u.id
							JOIN vn2008.Clientes c ON e.user_id = c.Id_cliente
								ORDER BY last_activity DESC
					</db-model>
					<htk-column-spin title="_SessionNumber" column="id"/>
					<htk-column-text title="_User" column="Cliente"/>
					<htk-column-date title="_Login" column="login" format="%a, %T"/>
					<htk-column-date title="_LastActivity" column="last_activity" format="%a, %T"/>
					<htk-column-text title="_SO" column="platform"/>
					<htk-column-text title="_Browser" column="browser"/>
					<htk-column-text title="_Version" column="version"/>
					<htk-column-check title="_NewVisit" column="is_new"/>
				</htk-grid>
			</div>
		</div>
		<div class="step" id="visits-step">
			<table class="form">
				<tbody>
				<tr>
					<td class="label">
						<label><t>FromDate:</t></label>
					</td>
					<td>
						<htk-date-chooser>
							<vn-param id="date-from"/>
						</htk-date-chooser>
					</td>
				</tr>
				<tr>
					<td class="label">
						<label><t>ToDate:</t></label>
					</td>
					<td>
						<htk-date-chooser>
							<vn-param id="date-to"/>
						</htk-date-chooser>
					</td>
				</tr>
				<tr>
					<td class="label">
						<label><t>VisitsTotal:</t></label>
					</td>
					<td>
						<htk-label>
							<db-calc-sum model="visits" column-name="visits"/>
						</htk-label>
					</td>
				</tr>
				<tr>
					<td class="label">
						<label><t>NewVisitsTotal:</t></label>
					</td>
					<td>
						<htk-label>
							<db-calc-sum model="visits" column-name="new_visits"/>
						</htk-label>
					</td>
				</tr>
				</tbody>
			</table>
			<div>
				<htk-grid empty-message="SelectDateInterval">
					<db-model id="visits">
						SELECT browser
						,MIN(CAST(version AS DECIMAL(4,1))) min_version
						,MAX(CAST(version AS DECIMAL(4,1))) max_version
						,MAX(e.date_time) last_visit
						,COUNT(DISTINCT c.id) visits
						,SUM(is_new) new_visits
							FROM visit_user e
							JOIN visit_access c ON e.access_id = c.id
							JOIN visit_agent a ON c.agent_id = a.id
							JOIN visit v ON a.visit_id = v.id
								WHERE e.date_time BETWEEN TIMESTAMP(#from,'00:00:00') AND TIMESTAMP(#to,'23:59:59')
								GROUP BY browser ORDER BY visits DESC
						<sql-batch property="batch">
							<item name="from" param="date-from"/>
							<item name="to" param="date-to"/>
						</sql-batch>
					</db-model>
					<htk-column-text title="_Browser" column="browser"/>
					<htk-column-spin title="_MinVersion" column="min_version" digits="1"/>
					<htk-column-spin title="_MaxVersion" column="max_version" digits="1"/>
					<htk-column-date title="_LastVisit" column="last_visit" format="_%a, %e %b %Y at %T"/>
					<htk-column-spin title="_Visits" column="visits"/>
					<htk-column-spin title="_NewVisits" column="new_visits"/>
				</htk-grid>
			</div>
		</div>
	</div>
</div>
</vn>
